import os
import pathlib

from setuptools import setup, find_packages

here = pathlib.Path(__file__).parent.resolve()

long_description = (here / 'README.md').read_text(encoding='utf-8')


def load_requirements():
    return open(os.path.join(os.path.dirname(__file__), 'requirements.txt')).readlines()


setup(
    name='perxis',
    version='1.2.3',
    description='Perxis python client',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://git.perx.ru/perxis/perxis-python/',
    author='Eterevskiy Georgiy',
    author_email='eterevskiy@perx.ru',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.11 :: Only',
    ],
    packages=find_packages(),
    python_requires='>=3.11, <4',
    install_requires=load_requirements(),

)
